This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 864601 - debuginfo-install should install gcc-base-debuginfo, not gcc-debuginfo
debuginfo-install should install gcc-base-debuginfo, not gcc-debuginfo
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On: 706973
Blocks: 708321
  Show dependency treegraph
 
Reported: 2012-10-09 13:52 EDT by Jan Kratochvil
Modified: 2015-02-17 09:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 706973
Environment:
Last Closed: 2015-02-17 09:30:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2012-10-09 13:52:33 EDT
+++ This bug was initially created as a clone of Bug #706973 +++

--- Additional comment from jreiser@bitwagon.com on 2012-09-28 03:18:49 CEST ---

The problem persists in Fedora 17 with libgcc-4.7.0-5.fc17.x86_64.  166MB of debuginfo just because of libgcc_s.so.1.  This is unreasonably large; there should be only 1 MB or less.

Example:
# debuginfo-install squashfs-tools-4.2-2.fc17.x86_64
Installing:
 gcc-debuginfo   x86_64     4.7.0-5.fc17    fedora-debuginfo      166 M

--- Additional comment from james.antill@redhat.com on 2012-10-04 19:36:34 CEST ---

 If elfutils came with a python module which provided an API to do /bin/bash => /usr/lib/debug/.build-id/b9/d67be78bc8684290a53cae0dab92bd6e5116fc.debug ... then we could certainly add that (at least as an option).
 It would require "guessing" about what to pass into the API, and would require downloading the filelist (on previous suggestions it was suggested that these could be added as buildid(b9d67...) provides, fixing that problem).

 But the biggest problem is doing the /bin/bash => buildid without running a random program and screen scrapping the output.

--- Additional comment from roland@hack.frob.com on 2012-10-04 19:39:43 CEST ---

libdwfl provides fairly straightforward ways to do this.  Feel free to contribute a Python module using it (or general Python bindings).

------------------------------------------------------------------------------

First step is therefore to create elfutils Python bindings.
Comment 1 Dave Malcolm 2012-10-09 13:55:50 EDT
FWIW there's a pure-python ELF and DWARF reader ("pyelftools") described here:
http://eli.thegreenplace.net/2012/01/06/pyelftools-python-library-for-parsing-elf-and-dwarf/
Comment 2 Fedora End Of Life 2013-04-03 12:57:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Paul Nasrat 2013-07-13 23:50:04 EDT
Is there a plan for this? It'd be easy to integrate pyelftools if needed - and then only pull in gcc-debuginfo if there is a hard dep on gcc.
Comment 4 Fedora End Of Life 2015-01-09 12:24:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:30:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.